function [err_mm,err_pix,mindist_pix]=distanceJSRT(lm_gt,lm_est)

nu{1}=1:44;
nu{2}=45:94;
nu{3}=95:120;
nu{4}=121:143;
nu{5}=144:166;

%i=2;94,120m143
%err_mm=zeros(6,1); 
err_pix=zeros(6,123);

mindist_pix=zeros(166,123);

for n=1:5;
    lm_gt_ext=lm_gt([nu{n},nu{n}(1)],:,:);
    %lm_est_ext=lm_est([nu{1},nu{1}(1)],:,i);
    
    %
    n1=[-(lm_gt_ext(2:end,2,:)-lm_gt_ext(1:end-1,2,:)),lm_gt_ext(2:end,1,:)-lm_gt_ext(1:end-1,1,:)];
    n1=n1./repmat(sqrt(sum(n1.^2,2)),1,2);
    d=sum(lm_gt_ext(1:end-1,:,:).*n1,2);
    for j=1:length(nu{n})
        q1=repmat(lm_est(nu{n}(j),:,:),length(nu{n}),1);
        dq1=sum(q1.*n1,2)-d;
        %mindist_est(j,:)=min(abs(dq1),[],1);
        
        p1=q1-repmat(dq1,1,2,1).*n1;
        tridist=abs(sum((p1-lm_gt_ext(1:end-1,:,:)).^2,2))+abs(sum((p1-lm_gt_ext(2:end,:,:)).^2,2))...
            -abs(sum((lm_gt_ext(1:end-1,:,:)-lm_gt_ext(2:end,:,:)).^2,2));
        dist1=sqrt(sum((q1-lm_gt_ext(1:end-1,:,:)).^2,2));
        dist2=sqrt(sum((q1-lm_gt_ext(2:end,:,:)).^2,2));
        dqmin=min(dist1,dist2);
        dqmin(tridist<0.001)=abs(dq1(tridist<0.001));
        mindist_pix(nu{n}(j),:)=min(dqmin,[],1);
    end
    err_pix(n+1,:)=mean(mindist_pix(nu{n},:),1);
end
err_pix(1,:)=(err_pix(2,:)*44+err_pix(3,:)*50+err_pix(4,:)*26+err_pix(5,:)*23+err_pix(6,:)*23)/166;
err_mm=0.35*err_pix;

%toc;
%n1=n1./norm(n1)

%
% q1=[388.8294  114.2603];
% %q1=[370,130];
% figure; plot(xy1(1,1),xy1(1,2),'s');
% hold on; plot(xy1(2,1),xy1(2,2),'o'); axis image
% hold on; plot([xy1(1,1),xy1(2,1)],[xy1(1,2),xy1(2,2)],'-');
% hold on; plot(q1(1),q1(2),'+');
% 
% n1=[-(xy1(2,2)-xy1(1,2));xy1(2,1)-xy1(1,1)];
% n1=n1./norm(n1);
% d=xy1(1,:)*n1;
% dq1=q1*n1-d;
% p1=q1-dq1*n1';
% hold on; plot(p1(1),p1(2),'x');
% norm(p1-xy1(1,:))+norm(p1-xy1(2,:))-norm(xy1(2,:)-xy1(1,:))
