%% open file names
fid=fopen('JSRT_test.txt');
files_test=textscan(fid,'%s');
files_test=files_test{1,1};
fclose(fid);
fid=fopen('JSRT_train.txt');
files_train=textscan(fid,'%s');
files_train=files_train{1,1};
fclose(fid);

%% read training images and landmarks
folder_img='/Users/mattias/Desktop/FernRegression_2411/JSRT/Data/Images/All247imagesConverted/';
folder_lm='/Users/mattias/Desktop/FernRegression_2411/JSRT/Data/Landmarks/';

img_train=zeros(1024,1024,length(files_train),'single');
lm_train=zeros(166,2,length(files_train),'single');
for i=1:length(files_train)
    
im1=imread([folder_img,files_train{i},'.png']);
img_train(:,:,i)=im1;

lm1=load([folder_lm,files_train{i},'/',files_train{i},'_AllStructures.csv']);
lm_train(:,:,i)=lm1;
end
img_train_filt=imfilter(img_train,fspecial('gaussian',[11,11],3));

%% read testing images and landmarks

img_test=zeros(1024,1024,length(files_test),'single');
lm_test=zeros(166,2,length(files_test),'single');
for i=1:length(files_test)
    
im1=imread([folder_img,files_test{i},'.png']);
img_test(:,:,i)=im1;

lm1=load([folder_lm,files_test{i},'/',files_test{i},'_AllStructures.csv']);
lm_test(:,:,i)=lm1;
end
img_test_filt=imfilter(img_test,fspecial('gaussian',[11,11],3));
